Package com.oracle.truffle.api.nodes.serial

## Class VariableLengthIntBuffer

- java.lang.Object
- - com.oracle.truffle.api.nodes.serial.VariableLengthIntBuffer

    public class VariableLengthIntBuffer
    extends java.lang.Object

Experimental API. May change without notice. Simple variable length unsigned int buffer backed by a byte buffer.

### Field Summary

Fields
`static int` `NULL`

### Constructor Summary

Constructors
`VariableLengthIntBuffer​(byte[] array)`
`VariableLengthIntBuffer​(java.nio.ByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get()`
`java.nio.ByteBuffer` `getBuffer()` Returns the backing byte buffer.
`byte[]` `getBytes()`
`boolean` `hasRemaining()`
`void` `put​(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL

    public static final int NULL

See Also:
  Constant Field Values

### Constructor Detail

#### VariableLengthIntBuffer

    public VariableLengthIntBuffer​(java.nio.ByteBuffer buffer)

#### VariableLengthIntBuffer

    public VariableLengthIntBuffer​(byte[] array)

### Method Detail

#### getBuffer

    public java.nio.ByteBuffer getBuffer()

Returns the backing byte buffer.

#### getBytes

    public byte[] getBytes()

#### get

    public int get()

#### put

    public void put​(int i)

#### hasRemaining

    public boolean hasRemaining()